Unable to update S32DS ver.2.1

cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to update S32DS ver.2.1

Jump to solution
1,206 Views
isolenta
Contributor II

I installed S32 Design Studio for Power Architecture v.2.1 for Linux (Ubuntu 16.04).

When I'm trying to update it (via S32DS Extensions and Updates dialog) I get message that all components are already up to date. But I don't see Radar SDK in the components list (should be embedded with latest update, isn't it) and nothing related to SDK in the installation folder exists.

When I added downloaded zip file to available software sites manually, I got the same as above.

How I can to update S32DS 2.1 to the recent components and SDK versions?

Thank you.

Tags (4)
0 Kudos
1 Solution
1,164 Views
mikedoidge
NXP Employee
NXP Employee

Hi @isolenta ,

You are correct, the S32 SDK does not support Linux. Also the RSDK does require elements from the S32 SDK, but it too requires Windows OS. We do not recommend trying to force the S32 SDK and/or RSDK on Linux host. It has not been tested on this platform and it is likely you would encounter many issues.

Hope that helps,

Mike

View solution in original post

0 Kudos
4 Replies
1,165 Views
mikedoidge
NXP Employee
NXP Employee

Hi @isolenta ,

You are correct, the S32 SDK does not support Linux. Also the RSDK does require elements from the S32 SDK, but it too requires Windows OS. We do not recommend trying to force the S32 SDK and/or RSDK on Linux host. It has not been tested on this platform and it is likely you would encounter many issues.

Hope that helps,

Mike

0 Kudos
1,155 Views
isolenta
Contributor II

Do you have plans to support S32 SDK on Linux?

What kind of issues could be happened when trying S32 SDK and RSDK on Linux host? As I understand, SDK is just well organized set of target libraries, headers, linker scripts and documentation. It should rely on the target hadrware but not the host OS, isn't it? The toolchain is depending on host OS but in S32DS/Linux it's already Linux-based.

0 Kudos
1,148 Views
mikedoidge
NXP Employee
NXP Employee

Hello @isolenta ,

As of right now, I am not aware of any plans to provide S32 SDK support for Linux. However, it would be best for you to ask the S32 SDK experts on the community site https://community.nxp.com/t5/S32-SDK/bd-p/s32sdk

In theory, you are correct. It may be possible to adapt the current SDKs to be used on Linux, however, it would not be supported within S32 Design Studio IDE the same as it is on Windows. You could still attach the SDK to the S32DS project, but it would not have the support from the Wizards, etc. Also, as I previously stated, this has not been tested and as it is not released in this form, it could not be supported by our customer support team. 

Best Regards,

Mike

0 Kudos
1,189 Views
isolenta
Contributor II

I installed S32DS for PA 2.1 for Windows and it's has been updated and RSDK has beed installed succesfully.

In the release notes for S32DS I found note that S32 SDK RTM is available only on Windows platform. Probably it's a reason why RSDK isn't installing on Linux because it's depending on S32 SDK RTM. Is it a reason?

If it so, is it a way to install (probably, manual copy files from Windows host) and use S32SDK and RSDK on Linux host?

 

Thank you

0 Kudos